You are here

V-059: MoinMoin Multiple Vulnerabilities

January 1, 2013 - 5:57am

Addthis

PROBLEM:

MoinMoin Multiple Vulnerabilities

PLATFORM:

Version(s): MoinMoin 1.x

ABSTRACT:

Multiple vulnerabilities have been reported in MoinMoin, which can be exploited by malicious users to conduct script insertion attacks and compromise a vulnerable system and by malicious people to manipulate certain data.

REFERENCE LINKS:

Secunia Advisory SA51663
CVE-2012-6080
CVE-2012-6081
CVE-2012-6082

IMPACT ASSESSMENT:

High

DISCUSSION:

1) Certain input when handling the AttachFile action is not properly verified before being used to write files. This can be exploited to overwrite arbitrary files via directory traversal sequences.

2) The application allows the upload of files with arbitrary extensions to a folder inside the webroot when handling the twikidraw or anywikidraw actions. This can be exploited to execute arbitrary code by uploading a malicious script.

Successful exploitation of this vulnerability requires "write" permission.

3) Input passed via page name in rss link is not properly sanitised before being displayed to the user. This can be exploited to insert arbitrary HTML and script code, which will be executed in a user's browser session in context of an affected site when the malicious data is being viewed.

The vulnerabilities are reported in versions prior to 1.9.6.

IMPACT:

Cross Site Scripting, Manipulation of data,System access   

SOLUTION:

Update to version 1.9.6.

 

Addthis